Skip to main content
GET
/
v2
/
farcaster
/
cast
/
embed
/
crawl
/
Embedded URL metadata
curl --request GET \
  --url https://api.neynar.com/v2/farcaster/cast/embed/crawl/ \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.neynar.com/v2/farcaster/cast/embed/crawl/"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.neynar.com/v2/farcaster/cast/embed/crawl/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "metadata": {
    "_status": "<string>",
    "content_length": 123,
    "content_type": "<string>",
    "frame": {
      "frames_url": "<string>",
      "image": "<string>",
      "version": "<string>",
      "buttons": [
        {
          "index": 123,
          "post_url": "<string>",
          "target": "<string>",
          "title": "<string>"
        }
      ],
      "image_aspect_ratio": "<string>",
      "input": {
        "text": "<string>"
      },
      "post_url": "<string>",
      "state": {
        "serialized": "<string>"
      },
      "title": "<string>"
    },
    "html": {
      "favicon": "<string>",
      "modifiedTime": "<string>",
      "oembed": {
        "html": "<string>",
        "type": "rich",
        "version": "<string>",
        "author_name": "<string>",
        "author_url": "<string>",
        "cache_age": "<string>",
        "height": 123,
        "provider_name": "<string>",
        "provider_url": "<string>",
        "thumbnail_height": 123,
        "thumbnail_url": "<string>",
        "thumbnail_width": 123,
        "title": "<string>",
        "width": 123
      },
      "ogArticleAuthor": "<string>",
      "ogArticleExpirationTime": "<string>",
      "ogArticleModifiedTime": "<string>",
      "ogArticlePublishedTime": "<string>",
      "ogArticlePublisher": "<string>",
      "ogArticleSection": "<string>",
      "ogArticleTag": "<string>",
      "ogAudio": "<string>",
      "ogAudioSecureURL": "<string>",
      "ogAudioType": "<string>",
      "ogAudioURL": "<string>",
      "ogAvailability": "<string>",
      "ogDate": "<string>",
      "ogDescription": "<string>",
      "ogDeterminer": "<string>",
      "ogEpisode": "<string>",
      "ogImage": [
        {
          "url": "<string>",
          "alt": "<string>",
          "height": "<string>",
          "type": "<string>",
          "width": "<string>"
        }
      ],
      "ogLocale": "<string>",
      "ogLocaleAlternate": "<string>",
      "ogLogo": "<string>",
      "ogMovie": "<string>",
      "ogPriceAmount": "<string>",
      "ogPriceCurrency": "<string>",
      "ogProductAvailability": "<string>",
      "ogProductCondition": "<string>",
      "ogProductPriceAmount": "<string>",
      "ogProductPriceCurrency": "<string>",
      "ogProductRetailerItemId": "<string>",
      "ogSiteName": "<string>",
      "ogTitle": "<string>",
      "ogType": "<string>",
      "ogUrl": "<string>",
      "ogVideo": [
        {
          "url": "<string>",
          "height": "<string>",
          "type": "<string>",
          "width": "<string>"
        }
      ],
      "ogVideoActor": "<string>",
      "ogVideoActorId": "<string>",
      "ogVideoActorRole": "<string>",
      "ogVideoDirector": "<string>",
      "ogVideoDuration": "<string>",
      "ogVideoOther": "<string>",
      "ogVideoReleaseDate": "<string>",
      "ogVideoSecureURL": "<string>",
      "ogVideoSeries": "<string>",
      "ogVideoTag": "<string>",
      "ogVideoTvShow": "<string>",
      "ogVideoWriter": "<string>",
      "ogWebsite": "<string>",
      "updatedTime": "<string>"
    },
    "image": {
      "height_px": 123,
      "width_px": 123
    },
    "video": {
      "duration_s": 123,
      "stream": [
        {
          "codec_name": "<string>",
          "height_px": 123,
          "width_px": 123
        }
      ]
    }
  }
}
{
"message": "<string>",
"code": "<string>",
"property": "<string>",
"status": 123
}

Node.js SDK

๐Ÿ”— SDK Method: fetchEmbeddedUrlMetadata Use this API endpoint with the Neynar Node.js SDK for typed responses and better developer experience.

Authorizations

x-api-key
string
header
default:NEYNAR_API_DOCS
required

API key to authorize requests

Query Parameters

url
string
required

URL to crawl metadata of

Response

Success

metadata
EmbedUrlMetadata ยท object
required